:root {
  --base-font-family: -apple-system, system-ui, 'Segoe UI', Helvetica, Arial, sans-serif,
    'Apple Color Emoji', 'Segoe UI Emoji';
  --base-colour: #24292e;

  --border-radius: 12px;

  --foreground-rgb: 0, 0, 0;
  --background-start-rgb: 214, 219, 220;
  --background-end-rgb: 255, 255, 255;

  --callout-rgb: 238, 240, 241;
  --callout-border-rgb: 172, 175, 176;
  --card-rgb: 180, 185, 188;
  --card-border-rgb: 131, 134, 135;
}

main {
  width: 80vw;

  div {
    overscroll-behavior-y: contain;
  }

  p {
    margin-bottom: 16px;
  }

  h1 {
    box-sizing: border-box;
    color: var(--base-colour);
    font-family: var(--base-font-family);
    font-size: 2em;
    font-weight: 600;
    line-height: 1.25;
    margin: 24px 0 16px;
    padding-bottom: 0.3em;
    word-wrap: break-word;
    border-bottom: 1px solid #eaecef;
  }

  h2 {
    box-sizing: border-box;
    color: var(--base-colour);
    font-family: var(--base-font-family);
    font-size: 1.5em;
    font-weight: 600;
    line-height: 1.25;
    margin-bottom: 16px;
    margin-top: 24px;
    padding-bottom: 0.3em;
    word-wrap: break-word;
    border-bottom: 1px solid #eaecef;
  }

  h3 {
    box-sizing: border-box;
    color: var(--base-colour);
    font-family: var(--base-font-family);
    font-size: 1.2em;
    font-weight: 600;
    line-height: 1.25;
    margin-bottom: 16px;
    margin-top: 24px;
    padding-bottom: 0.3em;
    word-wrap: break-word;
    border-bottom: 1px solid #eaecef;
  }

  h4 {
    box-sizing: border-box;
    color: var(--base-colour);
    font-family: var(--base-font-family);
    font-size: 1em;
    font-weight: 600;
    line-height: 1.25;
    margin-bottom: 16px;
    margin-top: 24px;
    word-wrap: break-word;
  }

  td {
    border-collapse: collapse;
    box-sizing: border-box;
    color: var(--base-colour);
    font-family: var(--base-font-family);
    line-height: 24px;
    padding: 6px 13px;
    text-align: -webkit-left;
    word-wrap: break-word;
    border: 1px solid #dfe2e5;
  }

  th {
    border-collapse: collapse;
    box-sizing: border-box;
    color: var(--base-colour);
    font-family: var(--base-font-family);
    font-weight: 600;
    line-height: 24px;
    padding: 6px 13px;
    text-align: -webkit-left;
    word-wrap: break-word;
    border: 1px solid #dfe2e5;
  }

  tr {
    background-color: #fff;
    border-collapse: collapse;
    box-sizing: border-box;
    color: var(--base-colour);
    font-family: var(--base-font-family);
    line-height: 24px;
    overflow-wrap: break-word;
    word-wrap: break-word;
  }
  tr :nth-child(2n) {
    background-color: #f6f8fa;
  }

  thead {
    font-size: 16px;
    line-height: 1.5;
    word-wrap: break-word;
    border-spacing: 0;
    border-collapse: collapse;
    box-sizing: border-box;
  }

  table {
    -webkit-border-horizontal-spacing: 0;
    -webkit-border-vertical-spacing: 0;
    border-collapse: collapse;
    box-sizing: border-box;
    color: var(--base-colour);
    display: block;
    font-family: var(--base-font-family);
    line-height: 24px;
    margin-bottom: 16px;
    margin-top: 0;
    max-width: 100%;
    overflow: auto;
    width: max-content;
    word-wrap: break-word;
  }

  image {
    background-color: #fff;
    border-style: none;
    color: #0366d6;
    cursor: pointer;
    font-family: var(--base-font-family);
    line-height: 24px;
    max-width: 100%;
    word-wrap: break-word;
    margin-bottom: 16px;
  }

  ul {
    box-sizing: border-box;
    color: var(--base-colour);
    font-family: var(--base-font-family);
    line-height: 24px;
    margin-bottom: 16px;
    margin-top: 0;
    padding-left: 2em;
    word-wrap: break-word;
  }

  ul li {
    box-sizing: border-box;
    color: var(--base-colour);
    font-family: var(--base-font-family);
    line-height: 24px;
    margin-top: 0.25em;
    text-align: left;
    word-wrap: break-word;
    list-style: initial;
  }

  ol li {
    box-sizing: border-box;
    color: var(--base-colour);
    font-family: var(--base-font-family);
    line-height: 24px;
    margin-top: 0.25em;
    text-align: left;
    word-wrap: break-word;
    list-style: decimal;
  }

  pre {
    background-color: #f6f8fa;
    border-radius: 6px;
    box-sizing: border-box;
    color: var(--base-colour);
    /* font-family: SFMono-Regular, Consolas, 'Liberation Mono', Menlo, monospace; */
    font-size: 85%;
    line-height: 1.45;
    margin-bottom: 16px;
    margin-top: 0;
    overflow: auto;
    overflow-wrap: normal;
    padding: 16px;
    white-space: pre;
    word-break: normal;
  }

  code:not(main pre code) {
    background-color: rgba(27, 31, 35, 0.05);
    border-radius: 6px;
    box-sizing: border-box;
    color: var(--base-colour);
    /* font-family: SFMono-Regular, Consolas, 'Liberation Mono', Menlo, monospace; */
    font-size: 85%;
    line-height: 20.4px;
    margin: 0;
    padding: 0.2em 0.4em;
    word-wrap: break-word;
  }

  a {
    box-sizing: border-box;
    color: #0366d6;
    cursor: pointer;
    font-family: var(--base-font-family);
    line-height: 24px;
    text-decoration: none;
    word-wrap: break-word;
  }

  a :hover {
    outline: 0;
    text-decoration: underline;
  }

  blockquote p {
    position: relative;
    margin: 0;
    padding: 1rem;
    background-color: rgba(var(--callout-rgb), 0.5);
    border: 1px solid rgba(var(--callout-border-rgb), 0.3);
    border-radius: var(--border-radius);
  }

  mjx-container[jax="CHTML"][display="true"] {
    text-align: initial;
  }
}
